# -*- tab-width: 4; indent-tabs-mode: nil -*-

from hotwire.version import __version__

from distutils.core import setup
try:
    import py2exe
except:
    pass

setup(name='hotwire',
      version=__version__,
      description='Hotwire Shell',
      author='Colin Walters',
      author_email='walters@verbum.org',
      url='http://verbum.org/hotwire',
      options = {'py2exe': {'packages': 'encodings',
                            'includes': 'cairo, pango, pangocairo, atk, gobject'}
                },
      windows=[{'script': 'ui/hotwire'}],
      scripts=['ui/hotwire'],
      data_files=[('share/applications', ['hotwire.desktop'])],
      packages=['hotwire', 'hotwire_ui', 'hotwire_ui.renderers', 'hotwire.builtins',
                'hotwire.sysdep', 'hotwire.sysdep.fs_impl', 
                'hotwire.sysdep.proc_impl',
                'hotwire.sysdep.term_impl', 'hotwire.sysdep.ipc_impl'])
